{ config, pkgs, ... }:
{
  boot = {
    kernelParams = [
      "verbose" "shell_on_fail"
      "elevator=deadline"
    ];
  };

  system.build.bootFiles = pkgs.runCommandNoCC "boot-files" {} ''
    mkdir -p $out/boot
    ${config.boot.loader.generic-extlinux-compatible.populateCmd} -c ${config.system.build.toplevel} -d $out/boot
  '';

  networking.hostName = "dacbert";

  fileSystems."/" = {
    device = "/dev/disk/by-label/NIXOS_SD";
    fsType = "ext4";
  };
}
